package com.ydd.gateway.service;

/**
 * @author wangtao
 * @date 2022/4/1
 */

import lombok.Data;
import org.springframework.util.MultiValueMap;

@Data
public class GatewayContext {

    public static final String CACHE_GATEWAY_CONTEXT = "cacheGatewayContext";

    /**
     * cache json body
     */
    private String cacheBody;
    /**
     * cache formdata
     */
    private MultiValueMap<String, String> formData;
    /**
     * cache reqeust path
     */
    private String path;

    private MultiValueMap<String, String> allRequestData;
}